osl::game_playing::SpeculativeModel Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
osl::game_playing::SpeculativeModel Class Referenceabstract

相手の手の予測1つにつき1thread More...

`#include <speculativeModel.h>`

Inheritance diagram for osl::game_playing::SpeculativeModel:
[legend]

## Public Member Functions
virtual | ~SpeculativeModel ()
virtual void | setMaxThreads (int)
virtual void | startSpeculative (const boost::shared_ptr< GameState > state, const SearchPlayer &main_player)=0
virtual void | stopOtherThan (Move)=0
virtual void | stopAll ()=0
virtual const HashKey | searchState () const =0
virtual const MoveWithComment | waitResult (Move last_move, search::TimeAssigned, SearchPlayer &main_player, int byoyomi)=0
virtual void | selectBestMoveCleanUp ()=0
void | clearResource ()

## Detailed Description

相手の手の予測1つにつき1thread

Definition at line 18 of file speculativeModel.h.

## Constructor & Destructor Documentation

osl::game_playing::SpeculativeModel::~SpeculativeModel | ( | ) |  |
| virtual

Definition at line 6 of file speculativeModel.cc.

## Member Function Documentation

void osl::game_playing::SpeculativeModel::clearResource | ( | ) |  |

Definition at line 16 of file speculativeModel.cc.

virtual const HashKey osl::game_playing::SpeculativeModel::searchState | ( | ) |  | const
| pure virtual

Implemented in osl::game_playing::SpeculativeAllMoves.

virtual void osl::game_playing::SpeculativeModel::selectBestMoveCleanUp | ( | ) |  |
| pure virtual

Implemented in osl::game_playing::SpeculativeAllMoves, and osl::game_playing::ThreadForEachMove.

void osl::game_playing::SpeculativeModel::setMaxThreads | ( | int | ) |  |
| virtual

Reimplemented in osl::game_playing::SpeculativeAllMoves, and osl::game_playing::ThreadForEachMove.

Definition at line 11 of file speculativeModel.cc.

virtual void osl::game_playing::SpeculativeModel::startSpeculative | ( | const boost::shared_ptr< GameState > | state,
|  | const SearchPlayer & | main_player
| ) |  |
| pure virtual

Implemented in osl::game_playing::SpeculativeAllMoves, and osl::game_playing::ThreadForEachMove.

virtual void osl::game_playing::SpeculativeModel::stopAll | ( | ) |  |
| pure virtual

Implemented in osl::game_playing::SpeculativeAllMoves, and osl::game_playing::ThreadForEachMove.

virtual void osl::game_playing::SpeculativeModel::stopOtherThan | ( | Move | ) |  |
| pure virtual

Implemented in osl::game_playing::SpeculativeAllMoves, and osl::game_playing::ThreadForEachMove.

virtual const MoveWithComment osl::game_playing::SpeculativeModel::waitResult | ( | Move | last_move,
|  | search::TimeAssigned | ,
|  | SearchPlayer & | main_player,
|  | int | byoyomi
| ) |  |
| pure virtual

Parameters

  byoyomi | 対局条件を伝えるために利用

Implemented in osl::game_playing::SpeculativeAllMoves.

The documentation for this class was generated from the following files:

- speculativeModel.h
- speculativeModel.cc